Bug 1145715 - bbswitch kernel module package matching current kernel is missing
bbswitch kernel module package matching current kernel is missing
Status: RESOLVED DUPLICATE of bug 1145601
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-15 09:05 UTC by Michael Pujos
Modified: 2019-08-15 09:50 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Pujos 2019-08-15 09:05:38 UTC
Current TW kernel version as of today is 5.2.7 and the latest bbswitch module available is for 5.2.1, thus bbswitch cannot be used:

# zypper if bbswitch-kmp-default
Loading repository data...
Reading installed packages...


Information for package bbswitch-kmp-default:
---------------------------------------------
Repository     : openSUSE-20181213-0         
Name           : bbswitch-kmp-default        
Version        : 0.8_k5.2.1_1-7.97           
Arch           : x86_64                      
Vendor         : openSUSE                    
Installed Size : 25.8 KiB                    
Installed      : Yes (automatically)         
Status         : up-to-date                  
Source package : bbswitch-0.8-7.97.src       
Summary        : Bumblebee ACPI kernel module
Description    :                             
    bbswitch is a kernel module which automatically detects the required
    ACPI calls for two kinds of Optimus laptops.
Comment 1 Takashi Iwai 2019-08-15 09:50:41 UTC
The known problem of KMP dependency.

*** This bug has been marked as a duplicate of bug 1145601 ***